
DROP TRIGGER IF EXISTS sk_pay_add_tg;
CREATE TRIGGER sk_pay_add_tg AFTER INSERT ON sk_payments FOR EACH ROW WHEN NEW.status = 0
BEGIN
    UPDATE sk_accounts SET a_sum=a_sum+NEW.sum WHERE sk_accounts.account_id=NEW.account_id;
END;

DROP TRIGGER IF EXISTS sk_pay_upd_tg;
CREATE TRIGGER sk_pay_upd_tg BEFORE UPDATE ON sk_payments FOR EACH ROW WHEN NEW.status = 0 AND OLD.status = 1
BEGIN
    UPDATE sk_accounts SET a_sum=a_sum+NEW.sum WHERE sk_accounts.account_id=NEW.account_id;
END;

DROP TRIGGER IF EXISTS sk_pay_del_tg;
CREATE TRIGGER sk_pay_del_tg BEFORE DELETE ON sk_payments FOR EACH ROW WHEN OLD.status = 0
BEGIN
    UPDATE sk_accounts SET a_sum=a_sum-OLD.sum WHERE sk_accounts.account_id=OLD.account_id;
END;

DROP TRIGGER IF EXISTS sk_acc_del_tg;
CREATE TRIGGER sk_acc_del_tg BEFORE DELETE ON sk_accounts FOR EACH ROW
BEGIN
DELETE FROM sk_payments WHERE sk_payments.account_id=OLD.account_id;
END;
